
Ruby - Bug #4275

Directory CrashReport is not exist, CrashReporter is right.

01/13/2011 09:59 AM - sorah (Sorah Fukumori)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-01-12 trunk 30518)

[x86_64-darwin10.6.0] 

Backport:  

Description

=begin

~/Library/Logs/CrashReportと/Library/Logs/CrashReportは存在しません。

ls: /Library/Logs/CrashReport: No such file or directory

ls: /Users/sorah/Library/Logs/CrashReport: No such file or directory

その代わりにCrashReporterがあるのでそちらが正しいのではないでしょうか。

Patch:

diff --git vm_dump.c vm_dump.c

index 741b4ad..3d6287c 100644

--- vm_dump.c

+++ vm_dump.c

@@ -781,9 +781,9 @@ rb_vm_bugreport(void)

#if defined MACH && defined APPLE

fprintf(stderr, "-- See Crash Report log file under "

 "~/Library/Logs/CrashReport or -----------\n");

fprintf(stderr, "-- /Library/Logs/CrashReport, for "

 "the more detail of -----------------------\n");

 "~/Library/Logs/CrashReporter or ---------\n");

fprintf(stderr, "-- /Library/Logs/CrashReporter, for "

 "the more detail of ---------------------\n");

#endif

#if HAVE_BACKTRACE || defined(_WIN32)

fprintf(stderr, "-- C level backtrace information "

=end

Associated revisions

Revision 5b9b8d9c - 01/13/2011 04:23 AM - Kenta Murata 

vm_dump.c: fix misspelling of CrashReporter.

[Bug #4275] [ruby-dev:43021]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@30532 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 96874ec4 - 01/13/2011 04:37 AM - Kenta Murata 
vm_dump.c: delete dashes to make lines 80 chars, Patched by

Shota Fukumori (sora_h).  [Bug #4275] [ruby-dev:43021]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@30533 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/13/2011 12:50 PM - mrkn (Kenta Murata)

- Category set to core

- Assignee set to nobu (Nobuyoshi Nakada)

=begin

=end

#2 - 01/13/2011 01:27 PM - mrkn (Kenta Murata)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r30532.

Shota, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
